Bug 974413 - Regression: Searching via filter
Regression: Searching via filter
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
Depends On:
  Show dependency treegraph
Reported: 2013-06-14 03:27 EDT by Lee Newson
Modified: 2013-07-01 19:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-01 19:41:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-06-14 03:27:25 EDT
Searching via a filter doesn't use the same logic it used to in the SEAM UI. The old UI would use the filterId in the URL so that it was bookmark-able, and if someone changed the filter they would still get the same results.

Now the filter contents is expanded and generated via the filter contents. This means that if someone was to change the filter then any one who had it bookmarked would have to update.

eg. Using the New UI generates the following URL when searching for filter 44:


when it should be generating:

Comment 1 Lee Newson 2013-06-16 19:13:20 EDT
Forgot to mention this only applies for the "load and search" functionality.
Comment 2 Matthew Casperson 2013-06-18 19:49:18 EDT
Fixed in 201306190938

When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.
Comment 3 Lee Newson 2013-07-01 19:41:32 EDT
Yep, works for me.

Note You need to log in before you can comment on or make changes to this bug.